package com.lstznkj.groundstation.DTO.ui;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.lstznkj.groundstation.model.crane.BaseData;

import java.util.ArrayList;
import java.util.List;

public class ChartDataDTO {
    private xAxisDTO xAxis;
    private LegendDTO legend;
    private double maxValue;
    private double minValue;
    private double threshold;
    private List<SeriesDTO> series=new ArrayList<>();

    @JsonIgnore
    private List<DataSourceUIDTO> dataSourceUIDTOList;

    public ChartDataDTO(){
        this.legend=new LegendDTO();
        this.series=new ArrayList<>();
        this.xAxis=new xAxisDTO();
    }

    public xAxisDTO getxAxis() {
        return xAxis;
    }

    public void setxAxis(xAxisDTO xAxis) {
        this.xAxis = xAxis;
    }

    public LegendDTO getLegend() {
        return legend;
    }

    public void setLegend(LegendDTO legend) {
        this.legend = legend;
    }

    public List<SeriesDTO> getSeries() {
        return series;
    }

    public void setSeries(List<SeriesDTO> series) {
        this.series = series;
    }

    public double getMaxValue() {
        return maxValue;
    }

    public void setMaxValue(double maxValue) {
        this.maxValue = maxValue;
    }

    public double getMinValue() {
        return minValue;
    }

    public void setMinValue(double minValue) {
        this.minValue = minValue;
    }

    public double getThreshold() {
        return threshold;
    }

    public void setThreshold(double threshold) {
        this.threshold = threshold;
    }

    public List<DataSourceUIDTO> getDataSourceUIDTOList() {




        return dataSourceUIDTOList;
    }


    public void setDataSourceUIDTOList(List<DataSourceUIDTO> dataSourceUIDTOList) {
        this.dataSourceUIDTOList = dataSourceUIDTOList;

        for(DataSourceUIDTO dataSourceUIDTO:this.dataSourceUIDTOList){
            List<String> dateList=new ArrayList<>();
            List<Double> valueList=new ArrayList<>();

            legend.getData().add(dataSourceUIDTO.getDevice().getFullName()+dataSourceUIDTO.getName());


            SeriesDTO seriesDTO=new SeriesDTO();
            seriesDTO.setName(dataSourceUIDTO.getDevice().getFullName()+dataSourceUIDTO.getName());


            for(BaseData baseData:dataSourceUIDTO.getBaseDataList()){
                dateList.add(baseData.getCollectTimeStr());

                valueList.add(baseData.getValue());

            }
            seriesDTO.setData(valueList);
            this.series.add(seriesDTO);
            this.xAxis.setData(dateList);
            this.xAxis.setType("category");


        }




    }
}
