package com.lstznkj.groundstation.DTO.ui;

import com.lstznkj.groundstation.model.crane.extra.DeviceSummary;
import com.lstznkj.groundstation.utils.DateUtil;
import org.hibernate.annotations.CreationTimestamp;
import org.hibernate.annotations.UpdateTimestamp;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Transient;
import java.sql.Timestamp;

public class CraneSummaryDTO {

    //数据库唯一标识符
    private Integer id;


    private Timestamp createTimestamp;

    private Timestamp updateTimestamp;


    private String createTime;

    private String updateTime;
    private String name;

    //规格
    private String specification;

    //制造厂家
    private String produceCompany;

    //制造编号
    private String produceNumber;

    //制造日期
    private String produceTime;
    //安装日期
    private String  installTime;
    //开始使用日期
    private String startTime;

    //设备原值
    private double originPrice;
    private String originPriceUnit;

    //设备使用年限
    private long ageLimit;

    //外形尺寸
    private String profile;

    //图号
    private String imageNumber;

    //使用单位
    private String usedUnit;

    //简介
    private String introduction;


    public  CraneSummaryDTO(){

    }
    public CraneSummaryDTO(DeviceSummary deviceSummary){

        if(deviceSummary==null){
            return;
        }
        this.id=deviceSummary.getId();


        this.createTimestamp=deviceSummary.getCreateTimestamp();

        this.updateTimestamp=deviceSummary.getUpdateTimestamp();


        this.createTime=deviceSummary.getCreateTime();

        this.updateTime=deviceSummary.getUpdateTime();
        this.name= deviceSummary.getName();

        //规格
        this.specification= deviceSummary.getSpecification();

        //制造厂家
        this.produceCompany= deviceSummary.getProduceCompany();

        //制造编号
        this.produceNumber=deviceSummary.getProduceNumber();

        //制造日期
        this.produceTime= DateUtil.getSingleInstance().formatToSecond(deviceSummary.getProduceTime());
        //安装日期
        this.installTime=DateUtil.getInstance().formatToSecond(deviceSummary.getInstallTime());
        //开始使用日期
        this.startTime=DateUtil.getInstance().formatToSecond(deviceSummary.getStartTime());

        //设备原值
        this.originPrice=deviceSummary.getOriginPrice();
        this.originPriceUnit=deviceSummary.getOriginPriceUnit();

        //设备使用年限
        this.ageLimit=deviceSummary.getAgeLimit();

        //外形尺寸
        this.profile= deviceSummary.getProfile();

        //图号
        this.imageNumber= deviceSummary.getImageNumber();

        //使用单位
        this.usedUnit= deviceSummary.getUsedUnit();

        //简介
        this.introduction=deviceSummary.getIntroduction();
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Timestamp getCreateTimestamp() {
        return createTimestamp;
    }

    public void setCreateTimestamp(Timestamp createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    public Timestamp getUpdateTimestamp() {
        return updateTimestamp;
    }

    public void setUpdateTimestamp(Timestamp updateTimestamp) {
        this.updateTimestamp = updateTimestamp;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSpecification() {
        return specification;
    }

    public void setSpecification(String specification) {
        this.specification = specification;
    }

    public String getProduceCompany() {
        return produceCompany;
    }

    public void setProduceCompany(String produceCompany) {
        this.produceCompany = produceCompany;
    }



    public long getAgeLimit() {
        return ageLimit;
    }

    public void setAgeLimit(long ageLimit) {
        this.ageLimit = ageLimit;
    }

    public String getProfile() {
        return profile;
    }

    public void setProfile(String profile) {
        this.profile = profile;
    }

    public String getImageNumber() {
        return imageNumber;
    }

    public void setImageNumber(String imageNumber) {
        this.imageNumber = imageNumber;
    }

    public String getUsedUnit() {
        return usedUnit;
    }

    public void setUsedUnit(String usedUnit) {
        this.usedUnit = usedUnit;
    }

    public String getIntroduction() {
        return introduction;
    }

    public void setIntroduction(String introduction) {
        this.introduction = introduction;
    }

    public String getProduceTime() {
        return produceTime;
    }

    public void setProduceTime(String produceTime) {
        this.produceTime = produceTime;
    }

    public String getInstallTime() {
        return installTime;
    }

    public void setInstallTime(String installTime) {
        this.installTime = installTime;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public double getOriginPrice() {
        return originPrice;
    }

    public void setOriginPrice(double originPrice) {
        this.originPrice = originPrice;
    }

    public String getOriginPriceUnit() {
        return originPriceUnit;
    }

    public void setOriginPriceUnit(String originPriceUnit) {
        this.originPriceUnit = originPriceUnit;
    }

    public String getProduceNumber() {
        return produceNumber;
    }

    public void setProduceNumber(String produceNumber) {
        this.produceNumber = produceNumber;
    }
}