package com.lstznkj.groundstation.DTO.ui;

import com.lstznkj.groundstation.model.crane.LifeModel;
import com.lstznkj.groundstation.model.crane.extra.Equipment;
import org.hibernate.annotations.CreationTimestamp;
import org.hibernate.annotations.UpdateTimestamp;

import java.sql.Timestamp;

public class EquipmentDTO {
    private int id;
    private String name;
    private String type;
    private int deviceId;
    private String remark;
    private String specification;
    private String material;
    private String produceCompany;
    private int updateCycle;
    private String updateCycleUnit;

    private long runTime;
    private String runTimeUnit; // 运行时间

    private long overloadTime;

    private String overloadTimeUnit;
    private int startsCount; // 启动次数
    private int actionCount; // 动作次数
    private int brakingCount;  // 制动次数

    private String installTime;

    private Timestamp createTimestamp;


    private String partNo;

    private String imageUrl;

    private String uuid;

    private int oldDeviceId;

    public EquipmentDTO(){

    }
    public EquipmentDTO(Equipment equipment, LifeModel lifeModel){

        this. id=equipment.getId();
        this.name=equipment.getName();
        this.type=String.valueOf(equipment.getType());

        this.deviceId=equipment.getDevice().getId();
        this.remark=equipment.getRemark();
        this.specification=equipment.getSpecification();
        this.material=equipment.getMaterial();
        this.produceCompany=equipment.getProduceCompany();

        this.installTime=equipment.getInstallTime();

        this.partNo=equipment.getPartNo();

        this.imageUrl=equipment.getName()+equipment.getUuid();

        this.uuid=equipment.getUuid();
        this.createTimestamp=equipment.getCreateTimestamp();


        if(lifeModel!=null){
            this.updateCycle= lifeModel.getUpdateCycle();

            this.updateCycleUnit= lifeModel.getUpdateCycleUnit();

            this.runTime= lifeModel.getRunTime();
            //this.runTimeUnit=lifeModel; // 运行时间

            this.overloadTime=lifeModel.getOverloadTime();

            this.overloadTimeUnit=lifeModel.getOverloadTimeUnit();
            this.startsCount=lifeModel.getStartsCount();

            this.actionCount= lifeModel.getActionCount();

            this.brakingCount= lifeModel.getBrakingCount();
            this.updateCycle= lifeModel.getUpdateCycle();
            this.updateCycleUnit=lifeModel.getUpdateCycleUnit();

        }

    }
    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Timestamp getCreateTimestamp() {
        return createTimestamp;
    }

    public void setCreateTimestamp(Timestamp createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    public int getOldDeviceId() {
        return oldDeviceId;
    }

    public void setOldDeviceId(int oldDeviceId) {
        this.oldDeviceId = oldDeviceId;
    }

    public int getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(int deviceId) {
        this.deviceId = deviceId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getSpecification() {
        return specification;
    }

    public void setSpecification(String specification) {
        this.specification = specification;
    }

    public String getMaterial() {
        return material;
    }

    public void setMaterial(String material) {
        this.material = material;
    }

    public String getProduceCompany() {
        return produceCompany;
    }

    public void setProduceCompany(String produceCompany) {
        this.produceCompany = produceCompany;
    }

    public int getUpdateCycle() {
        return updateCycle;
    }

    public void setUpdateCycle(int updateCycle) {
        this.updateCycle = updateCycle;
    }

    public String getUpdateCycleUnit() {
        return updateCycleUnit;
    }

    public void setUpdateCycleUnit(String updateCycleUnit) {
        this.updateCycleUnit = updateCycleUnit;
    }

    public long getRunTime() {
        return runTime;
    }

    public void setRunTime(long runTime) {
        this.runTime = runTime;
    }

    public String getRunTimeUnit() {
        return runTimeUnit;
    }

    public void setRunTimeUnit(String runTimeUnit) {
        this.runTimeUnit = runTimeUnit;
    }

    public long getOverloadTime() {
        return overloadTime;
    }

    public void setOverloadTime(long overloadTime) {
        this.overloadTime = overloadTime;
    }

    public String getOverloadTimeUnit() {
        return overloadTimeUnit;
    }

    public void setOverloadTimeUnit(String overloadTimeUnit) {
        this.overloadTimeUnit = overloadTimeUnit;
    }

    public int getStartsCount() {
        return startsCount;
    }

    public void setStartsCount(int startsCount) {
        this.startsCount = startsCount;
    }

    public int getActionCount() {
        return actionCount;
    }

    public void setActionCount(int actionCount) {
        this.actionCount = actionCount;
    }

    public int getBrakingCount() {
        return brakingCount;
    }

    public void setBrakingCount(int brakingCount) {
        this.brakingCount = brakingCount;
    }

    public String getInstallTime() {
        return installTime;
    }

    public void setInstallTime(String installTime) {
        this.installTime = installTime;
    }

    public String getPartNo() {
        return partNo;
    }

    public void setPartNo(String partNo) {
        this.partNo = partNo;
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }
}
