package com.lstznkj.groundstation.DTO.ui;

import com.lstznkj.groundstation.model.crane.Device;
import com.lstznkj.groundstation.model.crane.extra.TechParameter;
import org.hibernate.annotations.CreationTimestamp;
import org.hibernate.annotations.UpdateTimestamp;

import javax.persistence.*;
import java.sql.Timestamp;

public class TechParamsDTO {

    private Integer id;


    private Timestamp createTimestamp;

    private Timestamp updateTimestamp;


    private String createTime;

    private String updateTime;

    //长度
    private double length;
    //长度
    private String lengthUnit;
    //宽度
    private double width;
    private String widthUnit;

    //最高点距柜面
    private double highestValueToRail;
    private String highestValueToRailUnit;

    //轨面标高
    private double railSurfaceHeight;
    private String railSurfaceHeightUnit;

    //大车缓冲器行程
    private double bigCarBufferDistance;
    private String bigCarBufferDistanceUnit;

    //小车车缓冲器行程
    private double smallCarBufferDistance;
    private String smallCarBufferDistanceUnit;


    //各机构电机功率总和
    private double powerGenerationgTotalCapacity;
    private String powerGenerationgTotalCapacityUnit;


    //主起重量
    private double mainHoistWeight;
    private String mainHoistWeightUnit;

    //副起重量
    private double deputyHoistWeight;
    private String deputyHoistWeightUnit;

    //大车跨度
    private double bigCarLength;
    private String bigCarLengthUnit;

    //小车车跨度
    private double smallCarLength;
    private String smallCarLengthUnit;

    //工作级别(M5)
    private String workLevel;



    //主起最小速度
    private double mainHoistMinSpeed;
    private String mainHoistMinSpeedUnit;


    //主起最大速度
    private double mainHoistMaxSpeed;
    private String mainHoistMaxSpeedUnit;

    //副起升最小速度
    private double deputyHoistMinSpeed;
    private String deputyHoistMinSpeedUnit;

    //副起升最大速度
    private double deputyHoistMaxSpeed;
    private String deputyHoistMaxSpeedUnit;


    //大车最小运行速度
    private double bigCarMinSpeed;
    private String bigCarminSpeedUnit;

    //大车最大运行速度
    private double bigCarMaxSpeed;
    private String bigCarMaxSpeedUnit;


    //小车车最小运行速度
    private double smallCarMinSpeed;
    private String smallCarminSpeedUnit;

    //小车最大运行速度
    private double smallCarMaxSpeed;
    private String smallCarMaxSpeedUnit;


    private double mainHoistHeight;
    private String mainHoistHeightUnit;
    private double deputyHoistHeight;
    private String deputyHoistHeightUnit;


    public TechParamsDTO(){

    }
    public TechParamsDTO(TechParameter techParameter){

        if(techParameter==null){
            return;
        }
        this.id= techParameter.getId();


        this.createTimestamp=techParameter.getCreateTimestamp();

        this.updateTimestamp=techParameter.getUpdateTimestamp();


        this.createTime=techParameter.getCreateTime();

        this.updateTime=techParameter.getUpdateTime();

        //长度
        this.length=techParameter.getLength();
        //长度
        this.lengthUnit=techParameter.getLengthUnit();
        //宽度
        this.width=techParameter.getWidth();
        this.widthUnit=techParameter.getWidthUnit();

        //最高点距柜面
        this.highestValueToRail=techParameter.getHighestValueToRail();
        this.highestValueToRailUnit=techParameter.getHighestValueToRailUnit();

        //轨面标高
        this.railSurfaceHeight= techParameter.getRailSurfaceHeight();
        this.railSurfaceHeightUnit=techParameter.getRailSurfaceHeightUnit();

        //大车缓冲器行程
        this.bigCarBufferDistance=techParameter.getBigCarBufferDistance();
        this.bigCarBufferDistanceUnit=techParameter.getBigCarBufferDistanceUnit();

        //小车车缓冲器行程
        this.smallCarBufferDistance=techParameter.getSmallCarBufferDistance();
        this.smallCarBufferDistanceUnit=techParameter.getSmallCarBufferDistanceUnit();


        //各机构电机功率总和
        this.powerGenerationgTotalCapacity=techParameter.getPowerGenerationgTotalCapacity();
        this.powerGenerationgTotalCapacityUnit=techParameter.getPowerGenerationgTotalCapacityUnit();


        //主起重量
        this.mainHoistWeight=techParameter.getMainHoistWeight();
        this.mainHoistWeightUnit=techParameter.getMainHoistWeightUnit();

        //副起重量
        this.deputyHoistWeight=techParameter.getDeputyHoistWeight();
        this.deputyHoistWeightUnit=techParameter.getDeputyHoistWeightUnit();

        //大车跨度
        this.bigCarLength=techParameter.getBigCarLength();
        this.bigCarLengthUnit=techParameter.getBigCarLengthUnit();

        //小车车跨度
        this.smallCarLength=techParameter.getSmallCarLength();
        this.smallCarLengthUnit=techParameter.getSmallCarLengthUnit();

        //工作级别(M5)
        this.workLevel=techParameter.getWorkLevel();



        //主起最小速度
        this.mainHoistMinSpeed=techParameter.getMainHoistMinSpeed();
        this.mainHoistMinSpeedUnit=techParameter.getMainHoistMinSpeedUnit();


        //主起最大速度
        this.mainHoistMaxSpeed=techParameter.getMainHoistMaxSpeed();
        this.mainHoistMaxSpeedUnit=techParameter.getMainHoistMaxSpeedUnit();

        //副起升最小速度
        this.deputyHoistMinSpeed=techParameter.getDeputyHoistMinSpeed();
        this.deputyHoistMinSpeedUnit=techParameter.getDeputyHoistMinSpeedUnit();

        //副起升最大速度
        this.deputyHoistMaxSpeed=techParameter.getDeputyHoistMaxSpeed();
        this.deputyHoistMaxSpeedUnit=techParameter.getDeputyHoistMaxSpeedUnit();


        //大车最小运行速度
        this.bigCarMinSpeed=techParameter.getBigCarMinSpeed();
        this.bigCarminSpeedUnit=techParameter.getBigCarminSpeedUnit();

        //大车最大运行速度
        this.bigCarMaxSpeed=techParameter.getBigCarMaxSpeed();
        this.bigCarMaxSpeedUnit=techParameter.getBigCarMaxSpeedUnit();


        //小车车最小运行速度
        this.smallCarMinSpeed=techParameter.getSmallCarMinSpeed();
        this.smallCarminSpeedUnit=techParameter.getSmallCarminSpeedUnit();

        //小车最大运行速度
        this.smallCarMaxSpeed=techParameter.getSmallCarMaxSpeed();
        this.smallCarMaxSpeedUnit=techParameter.getSmallCarMaxSpeedUnit();


        this.mainHoistHeight=techParameter.getMainHoistHeight();
        this.mainHoistHeightUnit=techParameter.getMainHoistHeightUnit();
        this.deputyHoistHeight=techParameter.getDeputyHoistHeight();
        this.deputyHoistHeightUnit=techParameter.getDeputyHoistHeightUnit();
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Timestamp getCreateTimestamp() {
        return createTimestamp;
    }

    public void setCreateTimestamp(Timestamp createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    public Timestamp getUpdateTimestamp() {
        return updateTimestamp;
    }

    public void setUpdateTimestamp(Timestamp updateTimestamp) {
        this.updateTimestamp = updateTimestamp;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public double getLength() {
        return length;
    }

    public void setLength(double length) {
        this.length = length;
    }

    public String getLengthUnit() {
        return lengthUnit;
    }

    public void setLengthUnit(String lengthUnit) {
        this.lengthUnit = lengthUnit;
    }

    public double getWidth() {
        return width;
    }

    public void setWidth(double width) {
        this.width = width;
    }

    public String getWidthUnit() {
        return widthUnit;
    }

    public void setWidthUnit(String widthUnit) {
        this.widthUnit = widthUnit;
    }

    public double getHighestValueToRail() {
        return highestValueToRail;
    }

    public void setHighestValueToRail(double highestValueToRail) {
        this.highestValueToRail = highestValueToRail;
    }

    public String getHighestValueToRailUnit() {
        return highestValueToRailUnit;
    }

    public void setHighestValueToRailUnit(String highestValueToRailUnit) {
        this.highestValueToRailUnit = highestValueToRailUnit;
    }

    public double getRailSurfaceHeight() {
        return railSurfaceHeight;
    }

    public void setRailSurfaceHeight(double railSurfaceHeight) {
        this.railSurfaceHeight = railSurfaceHeight;
    }

    public String getRailSurfaceHeightUnit() {
        return railSurfaceHeightUnit;
    }

    public void setRailSurfaceHeightUnit(String railSurfaceHeightUnit) {
        this.railSurfaceHeightUnit = railSurfaceHeightUnit;
    }

    public double getBigCarBufferDistance() {
        return bigCarBufferDistance;
    }

    public void setBigCarBufferDistance(double bigCarBufferDistance) {
        this.bigCarBufferDistance = bigCarBufferDistance;
    }

    public String getBigCarBufferDistanceUnit() {
        return bigCarBufferDistanceUnit;
    }

    public void setBigCarBufferDistanceUnit(String bigCarBufferDistanceUnit) {
        this.bigCarBufferDistanceUnit = bigCarBufferDistanceUnit;
    }

    public double getSmallCarBufferDistance() {
        return smallCarBufferDistance;
    }

    public void setSmallCarBufferDistance(double smallCarBufferDistance) {
        this.smallCarBufferDistance = smallCarBufferDistance;
    }

    public String getSmallCarBufferDistanceUnit() {
        return smallCarBufferDistanceUnit;
    }

    public void setSmallCarBufferDistanceUnit(String smallCarBufferDistanceUnit) {
        this.smallCarBufferDistanceUnit = smallCarBufferDistanceUnit;
    }

    public double getPowerGenerationgTotalCapacity() {
        return powerGenerationgTotalCapacity;
    }

    public void setPowerGenerationgTotalCapacity(double powerGenerationgTotalCapacity) {
        this.powerGenerationgTotalCapacity = powerGenerationgTotalCapacity;
    }

    public String getPowerGenerationgTotalCapacityUnit() {
        return powerGenerationgTotalCapacityUnit;
    }

    public void setPowerGenerationgTotalCapacityUnit(String powerGenerationgTotalCapacityUnit) {
        this.powerGenerationgTotalCapacityUnit = powerGenerationgTotalCapacityUnit;
    }

    public double getMainHoistWeight() {
        return mainHoistWeight;
    }

    public void setMainHoistWeight(double mainHoistWeight) {
        this.mainHoistWeight = mainHoistWeight;
    }

    public String getMainHoistWeightUnit() {
        return mainHoistWeightUnit;
    }

    public void setMainHoistWeightUnit(String mainHoistWeightUnit) {
        this.mainHoistWeightUnit = mainHoistWeightUnit;
    }

    public double getDeputyHoistWeight() {
        return deputyHoistWeight;
    }

    public void setDeputyHoistWeight(double deputyHoistWeight) {
        this.deputyHoistWeight = deputyHoistWeight;
    }

    public String getDeputyHoistWeightUnit() {
        return deputyHoistWeightUnit;
    }

    public void setDeputyHoistWeightUnit(String deputyHoistWeightUnit) {
        this.deputyHoistWeightUnit = deputyHoistWeightUnit;
    }

    public double getBigCarLength() {
        return bigCarLength;
    }

    public void setBigCarLength(double bigCarLength) {
        this.bigCarLength = bigCarLength;
    }

    public String getBigCarLengthUnit() {
        return bigCarLengthUnit;
    }

    public void setBigCarLengthUnit(String bigCarLengthUnit) {
        this.bigCarLengthUnit = bigCarLengthUnit;
    }

    public double getSmallCarLength() {
        return smallCarLength;
    }

    public void setSmallCarLength(double smallCarLength) {
        this.smallCarLength = smallCarLength;
    }

    public String getSmallCarLengthUnit() {
        return smallCarLengthUnit;
    }

    public void setSmallCarLengthUnit(String smallCarLengthUnit) {
        this.smallCarLengthUnit = smallCarLengthUnit;
    }

    public String getWorkLevel() {
        return workLevel;
    }

    public void setWorkLevel(String workLevel) {
        this.workLevel = workLevel;
    }

    public double getMainHoistMinSpeed() {
        return mainHoistMinSpeed;
    }

    public void setMainHoistMinSpeed(double mainHoistMinSpeed) {
        this.mainHoistMinSpeed = mainHoistMinSpeed;
    }

    public String getMainHoistMinSpeedUnit() {
        return mainHoistMinSpeedUnit;
    }

    public void setMainHoistMinSpeedUnit(String mainHoistMinSpeedUnit) {
        this.mainHoistMinSpeedUnit = mainHoistMinSpeedUnit;
    }

    public double getMainHoistMaxSpeed() {
        return mainHoistMaxSpeed;
    }

    public void setMainHoistMaxSpeed(double mainHoistMaxSpeed) {
        this.mainHoistMaxSpeed = mainHoistMaxSpeed;
    }

    public String getMainHoistMaxSpeedUnit() {
        return mainHoistMaxSpeedUnit;
    }

    public void setMainHoistMaxSpeedUnit(String mainHoistMaxSpeedUnit) {
        this.mainHoistMaxSpeedUnit = mainHoistMaxSpeedUnit;
    }

    public double getDeputyHoistMinSpeed() {
        return deputyHoistMinSpeed;
    }

    public void setDeputyHoistMinSpeed(double deputyHoistMinSpeed) {
        this.deputyHoistMinSpeed = deputyHoistMinSpeed;
    }

    public String getDeputyHoistMinSpeedUnit() {
        return deputyHoistMinSpeedUnit;
    }

    public void setDeputyHoistMinSpeedUnit(String deputyHoistMinSpeedUnit) {
        this.deputyHoistMinSpeedUnit = deputyHoistMinSpeedUnit;
    }

    public double getDeputyHoistMaxSpeed() {
        return deputyHoistMaxSpeed;
    }

    public void setDeputyHoistMaxSpeed(double deputyHoistMaxSpeed) {
        this.deputyHoistMaxSpeed = deputyHoistMaxSpeed;
    }

    public String getDeputyHoistMaxSpeedUnit() {
        return deputyHoistMaxSpeedUnit;
    }

    public void setDeputyHoistMaxSpeedUnit(String deputyHoistMaxSpeedUnit) {
        this.deputyHoistMaxSpeedUnit = deputyHoistMaxSpeedUnit;
    }

    public double getBigCarMinSpeed() {
        return bigCarMinSpeed;
    }

    public void setBigCarMinSpeed(double bigCarMinSpeed) {
        this.bigCarMinSpeed = bigCarMinSpeed;
    }

    public String getBigCarminSpeedUnit() {
        return bigCarminSpeedUnit;
    }

    public void setBigCarminSpeedUnit(String bigCarminSpeedUnit) {
        this.bigCarminSpeedUnit = bigCarminSpeedUnit;
    }

    public double getBigCarMaxSpeed() {
        return bigCarMaxSpeed;
    }

    public void setBigCarMaxSpeed(double bigCarMaxSpeed) {
        this.bigCarMaxSpeed = bigCarMaxSpeed;
    }

    public String getBigCarMaxSpeedUnit() {
        return bigCarMaxSpeedUnit;
    }

    public void setBigCarMaxSpeedUnit(String bigCarMaxSpeedUnit) {
        this.bigCarMaxSpeedUnit = bigCarMaxSpeedUnit;
    }

    public double getSmallCarMinSpeed() {
        return smallCarMinSpeed;
    }

    public void setSmallCarMinSpeed(double smallCarMinSpeed) {
        this.smallCarMinSpeed = smallCarMinSpeed;
    }

    public String getSmallCarminSpeedUnit() {
        return smallCarminSpeedUnit;
    }

    public void setSmallCarminSpeedUnit(String smallCarminSpeedUnit) {
        this.smallCarminSpeedUnit = smallCarminSpeedUnit;
    }

    public double getSmallCarMaxSpeed() {
        return smallCarMaxSpeed;
    }

    public void setSmallCarMaxSpeed(double smallCarMaxSpeed) {
        this.smallCarMaxSpeed = smallCarMaxSpeed;
    }

    public String getSmallCarMaxSpeedUnit() {
        return smallCarMaxSpeedUnit;
    }

    public void setSmallCarMaxSpeedUnit(String smallCarMaxSpeedUnit) {
        this.smallCarMaxSpeedUnit = smallCarMaxSpeedUnit;
    }

    public double getMainHoistHeight() {
        return mainHoistHeight;
    }

    public void setMainHoistHeight(double mainHoistHeight) {
        this.mainHoistHeight = mainHoistHeight;
    }

    public String getMainHoistHeightUnit() {
        return mainHoistHeightUnit;
    }

    public void setMainHoistHeightUnit(String mainHoistHeightUnit) {
        this.mainHoistHeightUnit = mainHoistHeightUnit;
    }

    public double getDeputyHoistHeight() {
        return deputyHoistHeight;
    }

    public void setDeputyHoistHeight(double deputyHoistHeight) {
        this.deputyHoistHeight = deputyHoistHeight;
    }

    public String getDeputyHoistHeightUnit() {
        return deputyHoistHeightUnit;
    }

    public void setDeputyHoistHeightUnit(String deputyHoistHeightUnit) {
        this.deputyHoistHeightUnit = deputyHoistHeightUnit;
    }
}
