package com.lstznkj.groundstation;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.lstznkj.groundstation.service.DataIntegrateService;
import com.lstznkj.groundstation.service.InitService;
import com.lstznkj.groundstation.service.TestService;
import com.lstznkj.groundstation.service.crane.DataSourceService;
import com.lstznkj.groundstation.utils.CalculateUtil;
import com.lstznkj.groundstation.utils.SpringContextUtil;
import com.ql.util.express.DefaultContext;
import com.ql.util.express.ExpressRunner;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

@SpringBootApplication
public class DemoApplication {

    private static Logger logger=LoggerFactory.getLogger(DemoApplication.class);
    public static void main(String[] args) {

        SpringApplication.run(DemoApplication.class, args);

        InitService initService=SpringContextUtil.getBean(InitService.class);
        initService.init();
       
        DataIntegrateService dataIntegrateService= SpringContextUtil.getBean(DataIntegrateService.class);
        dataIntegrateService.startDataCollectThreads();
    
        logger.info("exp stest:"+new CalculateUtil().calculate("16/3276*x/16*200-50",1300));

        new TestService().tryGroup();


    }

}
