package com.lstznkj.groundstation.controller;


import com.fasterxml.jackson.databind.ObjectMapper;
import com.lstznkj.groundstation.DTO.ui.CraneDTO;
import com.lstznkj.groundstation.model.Result;
import com.lstznkj.groundstation.model.crane.Device;
import com.lstznkj.groundstation.service.crane.CraneService;
import com.lstznkj.groundstation.service.crane.DataSourceService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
public class CraneController {
    private Logger logger= LoggerFactory.getLogger(getClass());
    @Autowired
    private DataSourceService dataSourceService;
    @Autowired
    private ObjectMapper objectMapper;
    @Autowired
    private CraneService craneService;
    @RequestMapping(method = RequestMethod.POST,value = "/cranes")
    public Object createCrane(@RequestBody CraneDTO craneDTO){
        Result<Device> result=new Result<>();
        try {
            logger.debug("start to addCrane:"+objectMapper.writeValueAsString(craneDTO));
            result = craneService.addCrane(craneDTO);
        }
        catch (Exception ex){

        }
        return result;
    }
    @RequestMapping(method = RequestMethod.DELETE,value = "/cranes/{id}")
    public Object deleteCrane(@PathVariable int id,@RequestBody CraneDTO craneDTO){
        Result<Device> result=new Result<>();
        try {
            logger.info("start to deleteCrane:"+objectMapper.writeValueAsString(craneDTO));
            result = craneService.deleteCraneById(id);
        }
        catch (Exception ex){

        }
        return result;
    }
    @RequestMapping(method = RequestMethod.PUT,value = "/cranes/{id}")
    public Object update(@PathVariable int id, @RequestBody CraneDTO craneDTO){


        Result<Device> result=new Result<>();

        try {
            logger.info("start to update crane:"+id+","+objectMapper.writeValueAsString(craneDTO));
            result=craneService.updateCrane(id,craneDTO);

        }
        catch (Exception ex){

        }

        return result;
    }
    @RequestMapping(method = RequestMethod.GET,value = "/cranes")
    public Object getAll(){
        try {
          return   craneService.getAllCranes();
        }
        catch (Exception ex){

        }
        return null;
    }
    @RequestMapping(value = "/cranes/{id}/dataSources/plc",method = RequestMethod.GET)
    public Object getPLCDataSources(@PathVariable int id){
        try {
            logger.info("start to get "+id+" 's plc dataSources");

            return dataSourceService.getAllPLCDataSources(id);
        }
        catch (Exception ex){

        }
        return null;
    }
    /***
     * 获取指定起重机下 指定 名称的数据源(设备名+数据源名称区分)
     * @param name
     * @return
     */
    @RequestMapping(value = "/cranes/{id}/dataSources/{name}",method = RequestMethod.GET)
    public Object getDataSourcesByName(@PathVariable int id, @PathVariable String name){
        try {

            logger.info("start to get craneId:"+id+",'s  dataSourceName:"+name);
            return dataSourceService.getDataSourceByName(id,name);
        }
        catch (Exception ex){
            ex.printStackTrace();
        }
        return null;
    }
}
