package com.lstznkj.groundstation.controller;


import com.lstznkj.groundstation.model.crane.DataType;
import com.lstznkj.groundstation.service.crane.DataTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
public class DataTypeController {
    @Autowired
    private DataTypeService dataTypeService;

    @RequestMapping(value = "/dataTypes",method = RequestMethod.GET)
    public Object getAllDataTypes(){
        return dataTypeService.getAll();
    }
    @RequestMapping(value = "/dataTypes",method = RequestMethod.POST)
    public Object addDataType(@RequestBody DataType dataType){
        return dataTypeService.add(dataType);
    }
    @RequestMapping(value = "/dataTypes/{id}",method = RequestMethod.PUT)
    public Object updateDataType(@PathVariable int id,@RequestBody DataType dataType){

        return dataTypeService.update(dataType);
    }
    @RequestMapping(value = "/dataTypes/{id}",method = RequestMethod.DELETE)
    public Object deleteById(@PathVariable int id){
        return dataTypeService.deleteById(id);

        
    }

    /***
     * 获取指定天车的所有数据类型的数据源
     * @return
     */
    @RequestMapping(value = "/cranes/{id}/dataTypeDTOs",method = RequestMethod.GET)
    public Object getDataTypesByCraneId(@PathVariable int id){

        return dataTypeService.findDataTypesByCraneId(id);
    }

}
