package com.lstznkj.groundstation.model.crane;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.lstznkj.groundstation.utils.DateUtil;
import org.hibernate.annotations.CreationTimestamp;
import org.hibernate.annotations.UpdateTimestamp;

import javax.persistence.*;
import java.sql.Timestamp;

@Entity
public class BaseData {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private long id;
    private  double value;

    private  int originValue;
    private String name;


    //数据块存储时间
    @CreationTimestamp
    private Timestamp createTimestamp;
    @UpdateTimestamp
    private Timestamp updateTimestamp;
    //采集时间
    private long collectTime;
    //格式化采集时间格式
    private String collectTimeStr;

    @Transient
    private String createTime;
    @Transient
    private String updateTime;
    @JsonIgnore
    @ManyToOne
    private DataSource dataSource;



    public void setValue(double value) {
        this.value = value;
    }

    public String getCollectTimeStr() {
        this.collectTimeStr= DateUtil.getInstance().formatToMillisecond(this.collectTime);
        return collectTimeStr;
    }

    public void setCollectTimeStr(String collectTimeStr) {
        this.collectTimeStr = collectTimeStr;
    }

    public long getCollectTime() {
        return collectTime;
    }

    public void setCollectTime(long collectTime) {
        this.collectTime = collectTime;
        this.collectTimeStr= DateUtil.getInstance().formatToMillisecond(this.collectTime);
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setDataSource(DataSource dataSource) {
        this.dataSource = dataSource;
    }

    public String getName() {
        return name;
    }

    public DataSource getDataSource() {
        return dataSource;
    }

    public double getValue() {
        return value;
    }

    public void setCreateTimestamp(Timestamp createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    public void setUpdateTimestamp(Timestamp updateTimestamp) {
        this.updateTimestamp = updateTimestamp;
    }

    public Timestamp getCreateTimestamp() {
        return createTimestamp;
    }

    public Timestamp getUpdateTimestamp() {
        return updateTimestamp;
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }
    public String getCreateTime(){
        if(this.createTimestamp==null){
            this.createTime="";
        }else {
            this.createTime= DateUtil.getSingleInstance().formatToMillisecond(this.createTimestamp.getTime());
        }

        return this.createTime;

    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateTime(){
        if(this.updateTimestamp==null){
            this.updateTime="";
        }
        else {
            this.updateTime= DateUtil.getSingleInstance().formatToMillisecond(this.updateTimestamp.getTime());
        }

        return this.updateTime;
    }

    public int getOriginValue() {
        return originValue;
    }

    public void setOriginValue(int originValue) {
        this.originValue = originValue;
    }
}
