package com.lstznkj.groundstation.model.crane;

import org.hibernate.annotations.CreationTimestamp;
import org.hibernate.annotations.UpdateTimestamp;

import javax.persistence.*;
import java.sql.Timestamp;

@Entity
public class LifeModel {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    //数据库唯一标识符
    private Integer id;

    @CreationTimestamp
    private Timestamp createTimestamp;
    @UpdateTimestamp
    private Timestamp updateTimestamp;

    @Transient
    private String createTime;
    @Transient
    private String updateTime;


    //工作运行时间
    private long runTime;


    private long overloadTime;

    private String overloadTimeUnit;

    private int startsCount; // 启动次数
    private int actionCount; // 动作次数
    private int brakingCount;  // 制动次数
    private long runMaxTime;    //运行时间(寿命)
    private int startsMaxCount; // 启动次数(寿命)
    private int actionMaxCount; // 动作次数(寿命)
    private int brakingMAxCount;  // 制动次数(寿命)

    //寿命值
    private long lifeValue;
    private String lifeValueUnit;


    //保养值
    private long maintainValue;
    private String maintainValueUnit;

    //保养周期
    private long maintainCycle;
    private String maintainCycleUnit;

    //更换
    private int updateCycle;
    private String updateCycleUnit;

    private int equipmentId;

    private int oldDeviceId;

    private int dataSourceId;




    @OneToOne
    @JoinColumn(name = "device_id")
    private Device device;


    public int getDataSourceId() {
        return dataSourceId;
    }

    public void setDataSourceId(int dataSourceId) {
        this.dataSourceId = dataSourceId;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Timestamp getCreateTimestamp() {
        return createTimestamp;
    }

    public void setCreateTimestamp(Timestamp createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    public Timestamp getUpdateTimestamp() {
        return updateTimestamp;
    }

    public void setUpdateTimestamp(Timestamp updateTimestamp) {
        this.updateTimestamp = updateTimestamp;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public long getRunTime() {
        return runTime;
    }

    public void setRunTime(long runTime) {
        this.runTime = runTime;
    }

    public int getStartsCount() {
        return startsCount;
    }

    public void setStartsCount(int startsCount) {
        this.startsCount = startsCount;
    }

    public int getActionCount() {
        return actionCount;
    }

    public void setActionCount(int actionCount) {
        this.actionCount = actionCount;
    }

    public int getBrakingCount() {
        return brakingCount;
    }

    public void setBrakingCount(int brakingCount) {
        this.brakingCount = brakingCount;
    }

    public long getRunMaxTime() {
        return runMaxTime;
    }

    public void setRunMaxTime(long runMaxTime) {
        this.runMaxTime = runMaxTime;
    }

    public int getStartsMaxCount() {
        return startsMaxCount;
    }

    public void setStartsMaxCount(int startsMaxCount) {
        this.startsMaxCount = startsMaxCount;
    }

    public int getActionMaxCount() {
        return actionMaxCount;
    }

    public void setActionMaxCount(int actionMaxCount) {
        this.actionMaxCount = actionMaxCount;
    }

    public int getBrakingMAxCount() {
        return brakingMAxCount;
    }

    public void setBrakingMAxCount(int brakingMAxCount) {
        this.brakingMAxCount = brakingMAxCount;
    }

    public long getLifeValue() {
        return lifeValue;
    }

    public void setLifeValue(long lifeValue) {
        this.lifeValue = lifeValue;
    }

    public String getLifeValueUnit() {
        return lifeValueUnit;
    }

    public void setLifeValueUnit(String lifeValueUnit) {
        this.lifeValueUnit = lifeValueUnit;
    }

    public long getMaintainValue() {
        return maintainValue;
    }

    public void setMaintainValue(long maintainValue) {
        this.maintainValue = maintainValue;
    }

    public String getMaintainValueUnit() {
        return maintainValueUnit;
    }

    public void setMaintainValueUnit(String maintainValueUnit) {
        this.maintainValueUnit = maintainValueUnit;
    }

    public long getMaintainCycle() {
        return maintainCycle;
    }

    public void setMaintainCycle(long maintainCycle) {
        this.maintainCycle = maintainCycle;
    }

    public String getMaintainCycleUnit() {
        return maintainCycleUnit;
    }

    public void setMaintainCycleUnit(String maintainCycleUnit) {
        this.maintainCycleUnit = maintainCycleUnit;
    }

    public int getUpdateCycle() {
        return updateCycle;
    }

    public void setUpdateCycle(int updateCycle) {
        this.updateCycle = updateCycle;
    }

    public String getUpdateCycleUnit() {
        return updateCycleUnit;
    }

    public void setUpdateCycleUnit(String updateCycleUnit) {
        this.updateCycleUnit = updateCycleUnit;
    }

    public int getEquipmentId() {
        return equipmentId;
    }

    public void setEquipmentId(int equipmentId) {
        this.equipmentId = equipmentId;
    }

    public int getOldDeviceId() {
        return oldDeviceId;
    }

    public void setOldDeviceId(int oldDeviceId) {
        this.oldDeviceId = oldDeviceId;
    }

    public Device getDevice() {
        return device;
    }

    public void setDevice(Device device) {
        this.device = device;
    }

    public long getOverloadTime() {
        return overloadTime;
    }

    public void setOverloadTime(long overloadTime) {
        this.overloadTime = overloadTime;
    }

    public String getOverloadTimeUnit() {
        return overloadTimeUnit;
    }

    public void setOverloadTimeUnit(String overloadTimeUnit) {
        this.overloadTimeUnit = overloadTimeUnit;
    }
}
