package com.lstznkj.groundstation.model.crane.extra;

import com.lstznkj.groundstation.model.crane.Device;
import org.hibernate.annotations.CreationTimestamp;
import org.hibernate.annotations.UpdateTimestamp;

import javax.persistence.*;
import java.sql.Timestamp;


/**
 * 设备更换记录
 */

@Entity
public class ExchangeLog {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    //数据库唯一标识符
    private Integer id;

    @CreationTimestamp
    private Timestamp createTimestamp;
    @UpdateTimestamp
    private Timestamp updateTimestamp;

    @Transient
    private String createTime;
    @Transient
    private String updateTime;

    private String name ;

    //与机构的对应 ，多对一
    @ManyToOne
    @JoinColumn(name = "device_id")
    private Device device;


    private double price;
    private String priceUnit;
    private int count;

    //更换周期
    private int exchangeCycle;
    private String exchangeCycleUnit;

    @OneToOne
    private Equipment oldEquipment;

    @OneToOne
    private Equipment newEquipment;


    //更换时间
    private Timestamp exchangeTime;

    //更换原因
    private String exchangeReason;

    //更换分析
    private String exchangeAnalysis;

    //点检人员，多对一


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Timestamp getCreateTimestamp() {
        return createTimestamp;
    }

    public void setCreateTimestamp(Timestamp createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    public Timestamp getUpdateTimestamp() {
        return updateTimestamp;
    }

    public void setUpdateTimestamp(Timestamp updateTimestamp) {
        this.updateTimestamp = updateTimestamp;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public double getPrice() {
        return price;
    }

    public void setPrice(double price) {
        this.price = price;
    }

    public String getPriceUnit() {
        return priceUnit;
    }

    public void setPriceUnit(String priceUnit) {
        this.priceUnit = priceUnit;
    }

    public int getCount() {
        return count;
    }

    public void setCount(int count) {
        this.count = count;
    }

    public int getExchangeCycle() {
        return exchangeCycle;
    }

    public void setExchangeCycle(int exchangeCycle) {
        this.exchangeCycle = exchangeCycle;
    }

    public String getExchangeCycleUnit() {
        return exchangeCycleUnit;
    }

    public void setExchangeCycleUnit(String exchangeCycleUnit) {
        this.exchangeCycleUnit = exchangeCycleUnit;
    }

    public Equipment getOldEquipment() {
        return oldEquipment;
    }

    public void setOldEquipment(Equipment oldEquipment) {
        this.oldEquipment = oldEquipment;
    }

    public Equipment getNewEquipment() {
        return newEquipment;
    }

    public void setNewEquipment(Equipment newEquipment) {
        this.newEquipment = newEquipment;
    }

    public Timestamp getExchangeTime() {
        return exchangeTime;
    }

    public void setExchangeTime(Timestamp exchangeTime) {
        this.exchangeTime = exchangeTime;
    }

    public String getExchangeReason() {
        return exchangeReason;
    }

    public void setExchangeReason(String exchangeReason) {
        this.exchangeReason = exchangeReason;
    }

    public String getExchangeAnalysis() {
        return exchangeAnalysis;
    }

    public void setExchangeAnalysis(String exchangeAnalysis) {
        this.exchangeAnalysis = exchangeAnalysis;
    }

    public Device getDevice() {
        return device;
    }

    public void setDevice(Device device) {
        this.device = device;
    }
}
