package com.lstznkj.groundstation.model.crane.extra;


import com.lstznkj.groundstation.model.crane.Device;
import org.hibernate.annotations.CreationTimestamp;
import org.hibernate.annotations.LazyCollection;
import org.hibernate.annotations.LazyCollectionOption;
import org.hibernate.annotations.UpdateTimestamp;

import javax.persistence.*;
import java.sql.Timestamp;
import java.util.List;

/***
 * 点检报告
 */

@Entity
public class PointCheckReport {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    //数据库唯一标识符
    private Integer id;

    @CreationTimestamp
    private Timestamp createTimestamp;
    @UpdateTimestamp
    private Timestamp updateTimestamp;

    @Transient
    private String createTime;
    @Transient
    private String updateTime;

    private String name ;

    @ManyToOne
    @JoinColumn(name = "device_id")
    private Device device;


     private boolean isFinished;

    //后端接口权限
    @ManyToMany(cascade = CascadeType.ALL)
//    @JoinTable(name ="sys_role_authorities", joinColumns = {@JoinColumn(name = "role_id",referencedColumnName = "role_id")},
//            inverseJoinColumns = {@JoinColumn(name = "auth_id",referencedColumnName = "auth_id")})
    @JoinTable(name ="point_check_report_standard", joinColumns = {@JoinColumn(name = "point_check_report_id",referencedColumnName = "id")},
            inverseJoinColumns = {@JoinColumn(name = "point_check_stantdard_id",referencedColumnName = "id")})
     private List<PointCheckStandard> pointCheckStandardList;




    public Device getDevice() {
        return device;
    }

    public void setDevice(Device device) {
        this.device = device;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Timestamp getCreateTimestamp() {
        return createTimestamp;
    }

    public void setCreateTimestamp(Timestamp createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    public Timestamp getUpdateTimestamp() {
        return updateTimestamp;
    }

    public void setUpdateTimestamp(Timestamp updateTimestamp) {
        this.updateTimestamp = updateTimestamp;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public boolean isFinished() {
        return isFinished;
    }

    public void setFinished(boolean finished) {
        isFinished = finished;
    }

    public List<PointCheckStandard> getPointCheckStandardList() {
        return pointCheckStandardList;
    }

    public void setPointCheckStandardList(List<PointCheckStandard> pointCheckStandardList) {
        this.pointCheckStandardList = pointCheckStandardList;
    }
}
