package com.lstznkj.groundstation.model.crane.extra;

import com.lstznkj.groundstation.model.crane.Device;
import org.hibernate.annotations.CreationTimestamp;
import org.hibernate.annotations.UpdateTimestamp;

import javax.persistence.*;
import java.sql.Timestamp;
import java.util.List;

/**
 * 点检标准
 */
@Entity
public class PointCheckStandard {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    //数据库唯一标识符
    private Integer id;

    @CreationTimestamp
    private Timestamp createTimestamp;
    @UpdateTimestamp
    private Timestamp updateTimestamp;

    @Transient
    private String createTime;
    @Transient
    private String updateTime;

    private String name ;
    @ManyToMany(  fetch = FetchType.LAZY,cascade = CascadeType.ALL,mappedBy = "pointCheckStandardList")
    private List<PointCheckReport> pointCheckReportList;

    //对应机构

    @OneToOne
    @JoinColumn(name = "device_id")
    private Device device;

    @OneToMany(mappedBy ="pointCheckStandard")
    private List<PointCheckStandardItem> itemList;


    public Device getDevice() {
        return device;
    }

    public void setDevice(Device device) {
        this.device = device;
    }


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Timestamp getCreateTimestamp() {
        return createTimestamp;
    }

    public void setCreateTimestamp(Timestamp createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    public Timestamp getUpdateTimestamp() {
        return updateTimestamp;
    }

    public void setUpdateTimestamp(Timestamp updateTimestamp) {
        this.updateTimestamp = updateTimestamp;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<PointCheckReport> getPointCheckReportList() {
        return pointCheckReportList;
    }

    public void setPointCheckReportList(List<PointCheckReport> pointCheckReportList) {
        this.pointCheckReportList = pointCheckReportList;
    }

    public List<PointCheckStandardItem> getItemList() {
        return itemList;
    }

    public void setItemList(List<PointCheckStandardItem> itemList) {
        this.itemList = itemList;
    }
}
