package com.lstznkj.groundstation.model.crane.extra;

import org.hibernate.annotations.CreationTimestamp;
import org.hibernate.annotations.UpdateTimestamp;

import javax.persistence.*;
import java.sql.Timestamp;

@Entity
public class PointCheckTask {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    //数据库唯一标识符
    private Integer id;

    @CreationTimestamp
    private Timestamp createTimestamp;
    @UpdateTimestamp
    private Timestamp updateTimestamp;

    @Transient
    private String createTime;
    @Transient
    private String updateTime;

    private String name ;

    @ManyToOne
    @JoinColumn(name = "point_check_standard_id")
    private PointCheckStandard pointCheckStandard;



    public PointCheckStandard getPointCheckStandard() {
        return pointCheckStandard;
    }

    public void setPointCheckStandard(PointCheckStandard pointCheckStandard) {
        this.pointCheckStandard = pointCheckStandard;
    }
}
