package com.lstznkj.groundstation.mqtt;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.ArrayList;
import java.util.List;

public class MqttManager {
    public static List<MqttProvider> mqttProviderList =new ArrayList<>();
    private static Logger logger= LoggerFactory.getLogger(MqttManager.class);
    public static boolean addMqttProvider(MqttProvider mqttProvider){
        boolean isExisted=false;
        for(MqttProvider provider:mqttProviderList){
            if(provider.getClientId().equals(mqttProvider)){
                isExisted=true;
                logger.error(mqttProvider.getClientId()+" is already existed!!!!");
                return false;
            }
        }
        if(!isExisted){
            mqttProviderList.add(mqttProvider);
        }
        return true;
    }
    public static MqttProvider findMqttProvider(String id){
        for(MqttProvider provider: mqttProviderList){
            if(provider.getClientId().equals(id)){
                return provider;
            }
        }
        return null;
    }
}
