package com.lstznkj.groundstation.mqtt;

import org.eclipse.paho.client.mqttv3.*;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.context.annotation.Configuration;

@Configuration
public class MqttProviderCallBack implements MqttCallback {
    private Logger logger= LoggerFactory.getLogger(getClass());
    private MqttClient client;

    private String clientId;

    MqttConnectOptions options;



    /**
     * 与服务器断开的回调
     */
    @Override
    public void connectionLost(Throwable cause) {
      /*  Thread reconnectThread=new Thread(new Runnable() {
            @Override
            public void run() {

            }
        });*/
        logger.error("mqtt server:"+clientId+" connected error :"+cause.getMessage());
        try {

            MqttProvider provider= MqttManager.findMqttProvider(this.clientId);
            provider.setConnected(false);

            while (!provider.isConnected()){
                logger.info(clientId+" try to reconnec!!!");
                try {
                    provider.connect(provider.getOptions());
                    Thread.sleep(1000);
                    if(provider.isConnected()){
                        logger.info(clientId+" reconnected success!!!");
                        provider.subscribeDataSource();
                    }

                }
                catch (Exception ex0){
                    provider.setConnected(false);
                    ex0.printStackTrace();
                }
            }
            //client.connect(options);
        }
        catch (Exception ex){
            try {
           //     client.connect(options);
            }catch (Exception ex1){
                ex1.printStackTrace();
            }

        }

    }



    /**
     * 消息到达的回调
     */
    @Override
    public void messageArrived(String topic, MqttMessage message) throws Exception {


    }

    /**
     * 消息发布成功的回调
     */
    @Override
    public void deliveryComplete(IMqttDeliveryToken token) {
        IMqttAsyncClient client = token.getClient();
        System.out.println(client.getClientId()+"发布消息成功！");

    }

    public String getClientId() {
        return clientId;
    }

    public void setClientId(String clientId) {
        this.clientId = clientId;
    }

    public MqttConnectOptions getOptions() {
        return options;
    }

    public void setOptions(MqttConnectOptions options) {
        this.options = options;
    }

    public MqttClient getClient() {
        return client;
    }

    public void setClient(MqttClient client) {
        this.client = client;
    }
}
