package com.lstznkj.groundstation.repo.crane;

import com.lstznkj.groundstation.model.crane.Device;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;

import java.util.List;
import java.util.Optional;

public interface DeviceRepository extends JpaRepository<Device,Integer> {



    /**
     * 查找指定等级的设备,0为根设备，即起重机
     * @param level
     * @return
     */
    List<Device> findByLevelIs(int level);


    Device findDeviceById(Integer integer);

    @Override
    Optional<Device> findById(Integer integer);

    @Override
    boolean existsById(Integer integer);


}
