package com.lstznkj.groundstation.security;


import com.lstznkj.groundstation.model.User;
import com.lstznkj.groundstation.repo.UserRepository;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.core.userdetails.UserDetails;
import org.springframework.security.core.userdetails.UserDetailsService;
import org.springframework.security.core.userdetails.UsernameNotFoundException;
import org.springframework.stereotype.Service;

@Service
public class UserDetailsServiceImpl implements UserDetailsService {
    @Autowired
    private UserRepository userRepository;
    private Logger logger=LoggerFactory.getLogger(UserDetailsServiceImpl.class);
    /**
     * 登录逻辑实现
     * @param username
     * @return
     * @throws UsernameNotFoundException
     */
    @Override
    public UserDetails loadUserByUsername(String username) throws UsernameNotFoundException {
//
//        if(username=="")
//        {
//            System.out.println("username is null");
//        }
        logger.info("loadUserByUsername: "+username);
        User user=userRepository.findUserByUsername(username);
        if(user == null)
        {
            logger.info("no user");
            throw new UsernameNotFoundException("没有该用户");
        }
        logger.info("user:"+user.getUsername());
        return new UserDetailsImpl(user);
    }
}