package com.lstznkj.groundstation.service.crane;

import com.lstznkj.groundstation.model.Result;
import com.lstznkj.groundstation.model.crane.BaseData;
import com.lstznkj.groundstation.model.crane.DataSource;
import com.lstznkj.groundstation.repo.crane.BaseDataRepository;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class BaseDataService {
    private Logger logger= LoggerFactory.getLogger(getClass());

    @Autowired
    private BaseDataRepository baseDataRepository;
    public Result<BaseData> add(BaseData baseData){
        Result<BaseData> result=new Result<>();
        try {
            baseData= baseDataRepository.save(baseData);
            result.setSuccess(true);
            result.setData(baseData);
        }
        catch (Exception ex){
            result.setSuccess(false);
            ex.printStackTrace();
        }

        return result;
    }

    /**
     * 查询给定数据源中的baseData表的最后一条数据
     * @param dataSource
     * @return
     */
    public BaseData findTheLast(DataSource dataSource){
        BaseData baseData=null;
        try {
            baseData=baseDataRepository.findFirstByDataSourceOrderByIdDesc(dataSource);
        }
        catch (Exception ex){
         logger.error("findFirstByDataSourceOrderByIdDesc error:"+ex.getMessage());
        }
        return  baseData;
    }
}
